Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 670759 - =sci-libs/mumps-5.1.2 should depend on >=sci-libs/scotch-6.0.1
Summary: =sci-libs/mumps-5.1.2 should depend on >=sci-libs/scotch-6.0.1
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Science Related Packages
URL:
Whiteboard:
Keywords: PullRequest
Depends on:
Blocks: EAPI4Removal 740976
  Show dependency tree
 
Reported: 2018-11-09 14:44 UTC by Bernd
Modified: 2020-09-18 16:47 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Bernd 2018-11-09 14:44:13 UTC
According to upstream (http://mumps.enseeiht.fr/doc/userguide_5.1.2.pdf, section 2.5.2 on page 9) for current mumps the latest version of scotch >=scotch-6.0.1 is recommended.
Comment 1 Bernd 2019-09-15 16:08:03 UTC
I closed the PR some time ago.
Comment 2 Bernd 2019-09-15 16:44:38 UTC
Due to upstream having updated to 5.2.1, the userguide is now at http://mumps.enseeiht.fr/doc/userguide_5.2.1.pdf.

Information about dependency on scotch is now in section 2.6.2 on page 10.

According to that, mumps (5.2.1) is compatible with scotch 5.1.x and 6.0.x, but not with 6.0.0, due to some problem with this version. They recommend, however, to use scotch >= 6.0.1.
Comment 3 Andreas Sturmlechner gentoo-dev 2020-05-19 21:14:32 UTC
This is blocking <sci-libs/scotch-6 cleanup.
Comment 4 Sam James archtester gentoo-dev Security 2020-09-09 17:43:32 UTC
I don't see any issues with the PR.

@sci, I'll likely merge it if tests pass, if no objections?
Comment 5 Bernd 2020-09-09 19:06:48 UTC
It reports conflicts, looks like the in-tree version has changed since the PR was created.
Comment 6 Sam James archtester gentoo-dev Security 2020-09-13 02:08:59 UTC
(In reply to Bernd from comment #5)
> It reports conflicts, looks like the in-tree version has changed since the
> PR was created.

I don't mind rebasing it.
Comment 7 Larry the Git Cow gentoo-dev 2020-09-18 16:47:38 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4a1cc44e67e78a4d2f507e585df4deea4a91cb81

commit 4a1cc44e67e78a4d2f507e585df4deea4a91cb81
Author:     Bernd Waibel <waebbl@gmail.com>
AuthorDate: 2019-09-15 16:18:51 +0000
Commit:     Sam James <sam@gentoo.org>
CommitDate: 2020-09-18 16:21:14 +0000

    sci-libs/mumps: update scotch dependency
    
    - Use >=sci-libs/scotch-6.0.1 for mumps as recommended by upstream
    - Re-order inherits
    - Bump to EAPI 7
    - Fix missing / after ${EROOT}
    
    Closes: https://bugs.gentoo.org/670759
    Package-Manager: Portage-2.3.76, Repoman-2.3.17
    Signed-off-by: Bernd Waibel <waebbl@gmail.com>
    Closes: https://github.com/gentoo/gentoo/pull/12936
    Signed-off-by: Sam James <sam@gentoo.org>

 .../{mumps-5.1.2.ebuild => mumps-5.1.2-r1.ebuild}  | 27 +++++++++++++---------
 1 file changed, 16 insertions(+), 11 deletions(-)